--[[ List ]]
PlayerDataAccesser = {}

PlayerDataAccesser.FriendList		= {}	-- i thXg
PlayerDataAccesser.FriendNum	= 0

-----------------------


--[[ Public ]]
function PlayerDataAccesser.GetFriend(ActorID)
	return PlayerDataAccesser.FriendList[ActorID]
end

--[[ Public ]]
function PlayerDataAccesser.SetFriend(ActorID)
	PlayerDataAccesser.FriendList[ActorID] = {Name="H"}
	PlayerDataAccesser.FriendNum = PlayerDataAccesser.FriendNum + 1
end

--[[ Public ]]  --MobData
function PlayerDataAccesser.GetPlayerData(ActorID)
	local PlayerState = ActorStatus.New()
	
	PlayerState.Name		= PlayerDataAccesser.GetParam("Name",			ActorID)
	PlayerState.Lv			= PlayerDataAccesser.GetParam("Lv",				ActorID)
	PlayerState.MaxHP		= PlayerDataAccesser.GetParam("MaxHP",		ActorID)
	PlayerState.MaxSP		= PlayerDataAccesser.GetParam("MaxSP",		ActorID)
	PlayerState.HP			= PlayerState.MaxHP
	PlayerState.SP			= PlayerState.MaxSP

	PlayerState.AtkMax	= 0
	PlayerState.AtkMin		= 0
	PlayerState.DefDiv		= 0
	PlayerState.DefSub		= 0
	PlayerState.MatkMax	= 0
	PlayerState.MatkMin	= 0
	PlayerState.MdefDiv	= 0
	PlayerState.MdefSub	= 0

	PlayerState.Atk			= PlayerDataAccesser.GetParam("Atk",		ActorID)
	PlayerState.Matk		= PlayerDataAccesser.GetParam("Matk",		ActorID)
	PlayerState.Hit			= PlayerDataAccesser.GetParam("Hit",			ActorID)
	PlayerState.Critical	= PlayerDataAccesser.GetParam("Critical",	ActorID)
	PlayerState.Def			= PlayerDataAccesser.GetParam("Def",		ActorID)
	PlayerState.Mdef		= PlayerDataAccesser.GetParam("Mdef",		ActorID)
	PlayerState.Flee			= PlayerDataAccesser.GetParam("Flee",		ActorID)
	PlayerState.Aspd		= PlayerDataAccesser.GetParam("Aspd",		ActorID)
	
	PlayerState.Str			= PlayerDataAccesser.GetParam("Str",		ActorID)
	PlayerState.Dex			= PlayerDataAccesser.GetParam("Dex",		ActorID)
	PlayerState.Int			= PlayerDataAccesser.GetParam("Int",			ActorID)
	PlayerState.Vit			= PlayerDataAccesser.GetParam("Vit",			ActorID)
	PlayerState.Luk			= PlayerDataAccesser.GetParam("Luk",		ActorID)

	PlayerState.NeedHit	= 0
	PlayerState.NeedFlee	= 0

	PlayerState.Race		= M_RACE_HUMAN
	PlayerState.Element	= M_ATT_NONE
	PlayerState.Size			= M_SIZE_MIDDLE
	PlayerState.Speed		= 150

	PlayerState.BaseXP	= 0
	PlayerState.JobXP		= 0
	
	PlayerState.Loot 		= false
	PlayerState.Link 		= false
	PlayerState.Spel 		= false
	PlayerState.Active		= false
	PlayerState.Splash 		= false
	PlayerState.Long 		= false
	
	return PlayerState
end

--[[ Private ]]
function PlayerDataAccesser.GetParam(DataType, ActorID)
	local Param =  PlayerDataAccesser.FriendList[ActorID][DataType]

	if Param == nil then
		return 0
	else
		return Param
	end
end


---------------------


PlayerDataAccesser.FriendNum = List.Count(PlayerDataAccesser.FriendList)