--[[ gpGfB^ SciTE  TAB=2 ]]

--[[ Public Const for Tracer ]]
PACK_NUM		= 1			--pX̐ݒ	1FNCAgs
DEBUG_LOOP		= 10			--[v		TraceAỈߕב΍
DEBUG_LEVEL	= 20			--Trace@\lXg̐[
TRACE_PARAM	= 20			--Trace@DEBUG_LEVELȉ̎ɕ\
TRACE_TABLE	= 100		--Trace@DEBUG_LEVELȉ̎ɕ\
DEBUG_MODE	= false		--fobOptO
TRACE_ON			= true		--TraceAȈo͉
LOAD_TEST		= false		--Import̃eXgp@oߎԂɖ킸[h

--[[ Private Parameter ]]
local DebugLoopCount	= 0	--DEBUG_LOOPp̃JE^
local AI_StartTime			= 0	--AI() sꂽƂ os.time()
local AI_StartTick			= 0	--AI() sꂽƂ GetTick()
local AI_PrevStartTime	= 0
local AI_PrevStartTick		= 0
local AI_TickSub				= 0	--StartTick  PrevTick ̍
local StressCount			= 0	--XgX̂܂


-----------------


--[[ Public ]]
function AI(myid)
	OS_TIME	= os.time()
	TICK_TIME	= GetTick()
	
	if IMPORT_COMPLETE then
		--Import
		Trace("AI","Start")
		CliantStressCheck()
		
		if DEBUG_MODE and 0<DEBUG_LOOP then    --DEBU_MODE LOOP񐔂vX̎
			DebugLoopCount = DebugLoopCount+1
			if DebugLoopCount <= DEBUG_LOOP then    --DEBUG_LOOP̉񐔕s@TraceAỈߕב΍
				Main(myid)
			end
		else
			Main(myid)
		end
		
		Trace("AI","End")
		
		if DEBUG_MODE then
			TraceAI("           ProcessCost : " .. GetAiCount() .. "  ( " .. (GetTick() - TICK_TIME) .. " )")
			TraceAI("")
		end
	else
		--ImportO
		ImportLua(myid)
		
		local OwnerID	= GetV(V_OWNER, myid)
		local OwPosX, OwPosY	= GetV(V_POSITION, OwnerID)
		Move(myid, OwPosX, OwPosY)
	end
end

--[[ Private ]]
function Main(myid)
	if My.AIEnable then
		Trace("AI Main","Start")
			
		CliantStressControl()
		ifDecision(myid)
			
		Trace("AI Main","End")
	end
end


------------------


--[[ Public ]]
function CliantStressCheck()
	Trace("CliantStressCheck")
	AI_StartTime	= OS_TIME
	AI_StartTick	= TICK_TIME
	
	if not (AI_StartTime==AI_PrevStartTime) then	--Pbi񂾂Ƃ
		AI_PrevStartTime = AI_StartTime
		
		AI_TickSub	= AI_StartTick - AI_PrevStartTick
		AI_PrevStartTick = AI_StartTick
	end
end

--[[ Public ]]
function CliantStressControl()
	Trace("CliantStressControl")
	
	local Stress = AI_TickSub - 1000
	if Stress<0 then Stress = Stress * -1 end
	
	--GetTicki܂ȂƂ or STRESS_TIMEȏ̒~Ԃ
	if (AI_TickSub==AI_PrevStartTick) or (STRESS_TIME<Stress) then
		StressCount = StressCount+1
		
		--STRESS_BORDER𒴂 CYCLE_DELAY𑝉
		if STRESS_BORDER <= StressCount then
			CYCLE_DELAY = CYCLE_DELAY * RELIEF_VALUE
		end
	else
		if 0 <= StressCount then 
			StressCount = StressCount-1
			
			--STRESS_BORDERȉ̎ CYCLE_DELAY炷
			if STRESS_BORDER <= StressCount+1 then
				CYCLE_DELAY = CYCLE_DELAY / RELIEF_VALUE
				if CYCLE_DELAY < 1 then
					CYCLE_DELAY = 1
				end
			end
		end
	end
	--[[
	TraceAI("           " .. TICK_TIME .. "  Sub : " .. AI_TickSub)
	TraceAI("           Stress      : " .. Stress)
	TraceAI("           StressCount : " .. StressCount)
	TraceAI("           CycleDelay  : " .. CYCLE_DELAY)
	TraceAI("           Delay       : " .. TICK_TIME - (PREV_SCAN_TIME+SCANNING_SPAN+CYCLE_DELAY)) --vXlȂusvƂȂ
	--]]
end

--[[ Public ]] --_ł̃JEgԂ
function GetAiCount()
	return (GetTick() - AI_StartTick) / 16
end


---------------------


PACKAGE_EXT = ".lua"
if (PACK_NUM==1) then
	--[[ NCAgsp ]]
	LOAD_TEST		= false
	PACKAGE_DIR	= "./AI/USER_AI"
	
	dofile( PACKAGE_DIR.."/PackageLoader.lua")
else
	--[[ SciTEfobOp ]]
	if (PACK_NUM==2) then
		PACKAGE_DIR="H:/RO_HomAI/AI/USER_AI"
	elseif (PACK_NUM==3) then
		PACKAGE_DIR="F:/AI/AI/USER_AI"
	end
	
	LOAD_TEST		= true
	dofile( PACKAGE_DIR .."/TestParameter.lua")
	dofile( PACKAGE_DIR .."/PackageLoader.lua")
	
	------------------------------------
	local Start = os.time()
	print(os.date())
	for i=1,  10000 do
		if math.mod(i, 50000)==0 then print(i.. "  " .. os.date() .. "  (".. os.difftime(os.time(),Start) .. "b)") end
		AI(12829)
		if IMPORT_COMPLETE and 0<DEBUG_LOOP and DEBUG_LOOP<i then 
			print("break : " .. i-1)
			break
		end
	end
	local End = os.time()
	print(os.date())
	print(os.difftime(End,Start) .. "b")
	------------------------------------

end


--1000000  03/15/07 14:12:27  (13b)
