--[[ Actor ]]
Party = {}


--[[ Public Parameter ( FriendList ) ]] 
Party.PartyList	= {}	-- ꎞIXg


-------------


--[[ Public ]]    --XgԂ
function Party.GetParty(ActorID)
	return Party.PartyList[ActorID]
end

--[[ Public ]]    --p[eB[ɐݒ
function Party.SetParty()
	Trace("SetParty", "Start")
	
	local Actors = Finding.GetActorIDList(ACT_UNKNOWN)

	for i, ActorID in ipairs(Actors) do
		if List.IsItem(ActorID) then
			local DistanceFromOwner = Position.GetDistanceFromOwner(ActorID)
			local ActorIsPlayer =  Actor.IsPlayer(ActorID)
			
			Trace(DistanceFromOwner .. " : " .. ActorID , "", TRACE_PARAM)
			if (DistanceFromOwner<PARTY_DISTANCE) and ActorIsPlayer then
				local Friend = PlayerDataAccesser.GetFriend(ActorID)
				if Friend then
					Party.PartyList[ActorID] = {Name=Friend.Name}
				else
					Party.PartyList[ActorID] = {Name="H"}
				end
			end
		end
	end
	Trace("SetParty", "End")
end

--[[ Public ]]    --p[eB[SŁH
function Party.IsAnnihilation()
	local PartyList = Party.PartyList
	local DeadCount = 0
	
	for index, ActorID in pairs(PartyList) do
		if IsDead(ActorID) then
			DeadCount = 0
		end
	end
	
	--ɋ^₠
	if PartyList.count <= DeadCount then
		return true
	else
		return false
	end
end
