local DecisionAI = {}


--[[ Private Parameter ]]
local AiFirstRun = true	--Initializep


--------------------


--[[ Public ]]    --AI̓
function ifAIActivate(Flag)
	DecisionAI.AIActivate(Flag)
end

--[[ Public ]]    --f
function ifDecision(myid)
	Trace("DecisionAI","Start")
	
	if AiFirstRun==true then
		DecisionAI.Initialize(myid)
		AiFirstRun = false
	end
	DecisionAI.Main()
	
	Trace("DecisionAI", "End")
end


--------------------


--[[ Private ]]    --AI̓
function DecisionAI.AIActivate(Flag)
	if Flag then
		Trace("AI Activate")
		My.AIEnable = true
	else
		Trace("AI DeActivate")
		My.AIEnable = false
	end
end

--[[ Private ]]    --
function DecisionAI.Initialize(myid)
	Trace("Init","Start")
		My.Initialize(myid)
		
		if GetV(V_MOTION, My.Owner.ID) then
			DecisionAI.OnCallHomun()
		else
			DecisionAI.OnReload()
		end
	Trace("Init","End")
end

--[[ Private ]]    --C
function DecisionAI.Main()
	Trace("DecisionAI Main","Start")
	
	--SCANNING_SPAN
	if PREV_SCAN_TIME+SCANNING_SPAN+CYCLE_DELAY < TICK_TIME then
		DecisionAI.Scan()
		PREV_SCAN_TIME = TICK_TIME
	end
	
	--PROCESS_SPAN
	if PREV_PROCESS_TIME+PROCESS_SPAN+CYCLE_DELAY < TICK_TIME then
		DecisionAI.Proccess()
		PREV_PROCESS_TIME = TICK_TIME
	end
	
	Trace("DecisionAI Main","End")
end

--[[ Private ]]    --ׂ
function DecisionAI.Scan()
	ifCommand(CMD_SEARCH)	--G
	My.Update()						--XV
end

--[[ Private ]]    --f
function DecisionAI.Proccess()
	My.PriorityList = TargetPriority.GetPriority(My.Character.Priority)	--GŌActor̒DڕW̃Xg擾
	
	local Cmd = My.Command
	My.Command = DecisionAI.SelectCommand()
	Trace("AI Command  : " .. Cmd .. "  " .. My.Command)
	
	ifBehavior()
end

--[[ Private ]]    --z҂ꂽƂ
function DecisionAI.OnCallHomun()
	Trace("OnCallHomun", "Start")
		Party.SetParty()
	Trace("OnCallHomun", "End")
end

--[[ Private ]]    --z҂ꂽ܂܃}bvړƂ
function DecisionAI.OnReload()
	Trace("OnReload", "Start") 
		Party.SetParty()
	Trace("OnReload", "End") 
end

--[[ Private ]]    --wI
function DecisionAI.SelectCommand()
	local MyData				= Finding.GetActorData(My.ID)			--̏
	local MyEnemyList		= MyData.EnemyList						--UĂG̃Xg
	
	local OwnerData			= Finding.GetActorData(My.Owner.ID)--Owneȑ
	local OwnerEnemyList = OwnerData.EnemyList					--OwnerUĂG̃Xg
	
	-- ォ珇ɖߗDxɂȂ YȂBaseCommand
	local BaseCommand = My.Character.BaseCommand
	local Cmd = BaseCommand
	
	if My.IsMoving() and not Finding.IsEncount() then
		Cmd = My.Command
		
	else
		--Ownerꂽ
		if (CHASE_START_DISTANCE<=My.OwnerDistance) and (My.PrevOwnerDistance<=My.OwnerDistance) then
			Cmd = CMD_CHASE
			
		--wq
		elseif My.Command == CMD_GUARD then
			Cmd = CMD_GUARD
			
		--w
		elseif My.Command == CMD_SUPPORT then
			Cmd = CMD_SUPPORT
			
		--Gā@OwnerUĂ炸@OwnerUĂȂ
		elseif Finding.IsEncount() and MyEnemyList.count==0 and OwnerEnemyList.count==0 and OwnerData.Target==0 then
			Cmd = CMD_STEALTH
			
		--Gā@UꂽԂŁ@Baseor킪Ă
		elseif Finding.IsEncount() and 0<MyEnemyList.count and (BaseCommand==CMD_ENGAGE or My.ClearedToEngage) then
			Cmd = CMD_ENGAGE
			
		--UꂽԂŁ@Owner댯
		elseif 0<MyEnemyList.count and DENGER_BORDER<=OwnerData.DangerLevel then
			Cmd = CMD_DECOY
			
		--p[eB[Sł
		elseif Party.IsAnnihilation and not My.IsDead then
			Cmd = CMD_DECOY
			
		end
	end
	
	return Cmd
end
