local TacActChase = {}


--------------------


--[[ Public ]]
function ifChase(TargetID, Distance)
	TacActChase.Run(TargetID, Distance)
end


--------------------


--[[ Private ]]
function TacActChase.Run(TargetID, Distance)
	Trace("TacActChase")
	
	local ChaseTarget = 0
	if IsNil(TargetID) or IsNil(Distance) then
		ChaseTarget	= My.Chase
		Distance		= 1
	else
		ChaseTarget	= TargetID
		My.Chase		= TargetID
	end
	
	if My.OwnerDistance <= Distance then
		ifChangeState(ST_WAIT)
	else
		ifMove.HoldRange(ChaseTarget, Distance)
	end
	
end

